.video-js .vjs-time-control {
  @include flex(none);
  font-size: inherit;
  font-weight: 400;
  line-height: inherit;
  min-width: 2.5rem;
  width: auto;
  padding-left: .5rem;
  padding-right: .5rem;
}

.vjs-live .vjs-time-control {
  display: none;
}

// We need the extra specificity that referencing .vjs-no-flex provides.
.video-js .vjs-current-time,
.vjs-no-flex .vjs-current-time {
  display: block;
}

// IE 8 + IE 9 width: auto container fix
.vjs-no-flex .vjs-remaining-time.vjs-time-control.vjs-control {
  width: 0px !important;
  white-space: nowrap;
  display: none;
}

.video-js .vjs-duration,
.vjs-no-flex .vjs-duration {
  display: block;
}

.vjs-time-divider {
  display: none;
  line-height: 3em;
}

.vjs-live .vjs-time-divider {
  // Already the default, but we want to ensure when the player is live
  // this hides in the same way as the other time controls for other skins
  display: none;
}
